document.addEventListener('DOMContentLoaded', function() {
  var rows = document.querySelectorAll('tr');
  rows.forEach(function(row) {
    var rankCell = row.querySelector('td span.rank');
    if (rankCell) {
      var freqCell = row.querySelector('td span.freq');
      var value = parseFloat(rankCell.textContent);
      var value_transformed = Math.pow(value, Math.E);
      var percentage = value_transformed * 100;
      var barDiv = document.createElement('div');
      barDiv.className = 'freq-bar';
      barDiv.style.width = percentage + '%';
      
      var freqContainer = document.createElement('div');
      freqContainer.className = 'freq-container';
      
      // 获取频率值和排名值
      var freqValue = freqCell.textContent.trim();
      var rankValue = rankCell.textContent.trim();
      
      // 设置频率文本，后面加上排名值
      freqContainer.textContent = freqValue + ' 【TOP ' + Math.round(98185*(1-rankValue)) + '】';
      
      // 将条形图附加到 freqContainer 中
      freqContainer.appendChild(barDiv);
      
      // 清空原来的内容并插入新的 freqContainer
      freqCell.textContent = '';
      freqCell.appendChild(freqContainer);
    }
  });
});